# federation

A big problem is a lack of clarity on what instances are blocked and why by various instances.
This is a documentation and accessibility issue as I doubt most instances make neither.

The other big problem is having central authorities.
You can see this on the internet now with certificate authorities.
If a CA is compromised, which they have and they will, then the trust is broken at the root and anything that inherited that trust needs to have it reestablished.
I’m not eager to apply blockchain to something that is a governance issue.
An alternative is notaries.

Sharing inspiration for a design.

- [SSL And The Future Of Authenticity](https://www.youtube.com/watch?v=8N4sb-SEpcg)
- [Convergence Notaries](https://github.com/moxie0/Convergence/wiki/Notaries)


The general idea is trusting more than one authority, polling them for a consensus on which instances are filtered/restricted. Many nodes would simply proxy their inherited filters but can change what node they would inherit trust from.

Much like users pick an instance to join because of a theme or the moderation policies, instances could join a federation because of a grand moderation policy.
